Agent Knowledge Bases
Create document
Add a document to a knowledge base. The document will be automatically processed for RAG.
POST
/
v1
/
senders
/
{senderId}
/
agent
/
knowledge-bases
/
{kbId}
/
documents
Create document
curl --request POST \
--url https://api.zavu.dev/v1/senders/{senderId}/agent/knowledge-bases/{kbId}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Return Policy",
"content": "Our return policy allows returns within 30 days of purchase..."
}
'import requests
url = "https://api.zavu.dev/v1/senders/{senderId}/agent/knowledge-bases/{kbId}/documents"
payload = {
"title": "Return Policy",
"content": "Our return policy allows returns within 30 days of purchase..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Return Policy',
content: 'Our return policy allows returns within 30 days of purchase...'
})
};
fetch('https://api.zavu.dev/v1/senders/{senderId}/agent/knowledge-bases/{kbId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document": {
"id": "<string>",
"knowledgeBaseId": "<string>",
"title": "<string>",
"contentLength": 123,
"chunkCount": 123,
"isProcessed": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Document created.
Show child attributes
Show child attributes
⌘I
Create document
